<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="keywords" content="">
    <meta name="author" content="Vasilev.link">
    <meta name="application-name" content="GoTo">
    <link rel="shortcut icon" href="favicon.ico">
    <title>Go To! - find your place to go</title>
    <link href="assets/css/bootstrap.min.css" rel="stylesheet">
    <link href="assets/css/bootstrap.icons.css" rel="stylesheet">
    <link href="assets/css/style.css" rel="stylesheet">
    <script src="assets/js/angular.min.js" type="text/javascript"></script>
    <!--[if lt IE 9]>
          <script src="assets/js/html5shiv.min.js"></script>
          <script src="assets/js/respond.min.js"></script>
<![endif]-->
</head>

<body class="bg-light" ng-app="clApp">
    <div class="container mt-5" ng-controller="clCntrl">
        <div class="row justify-content-md-center">
            <div class="col-md-8">
                <h3 class="text-center">
                    <i class="bi bi-search"></i>&nbsp;Go To...
                    <small class="text-muted">find your place to go</small>
                </h3>
            </div>

            <div class="col-md-10"><br>
                <div class="card">
                    <div class="card-header bg-white">
                        <div class="row justify-content-md-center">
                            <div class="col-lg-4 mb-4">
                                <input type="text" class="form-control" ng-model="search" placeholder="Filter">
                            </div>
                        </div>
                    </div>
                    <div class="card-body p-1" ng-init="getFILE()">
                        <table class="table table-hover">
                            <thead>
                                <tr>
                                    <th scope="col">Name</th>
                                    <th scope="col">Server</th>
                                    <th scope="col">IP</th>
                                    <th scope="col">Responsible</th>
                                    <th scope="col" class="text-center" style="width:100px;">Web</th>
                                    <th scope="col" class="text-center" style="width:80px;">Environment</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-hide="contentLoaded">
                                    <td>
                                        <p class="card-text placeholder-glow"><span class="placeholder col-7"></span>
                                        </p>
                                    </td>
                                    <td>
                                        <p class="card-text placeholder-glow"><span class="placeholder col-7"></span>
                                        </p>
                                    </td>
                                    <td>
                                        <p class="card-text placeholder-glow"><span class="placeholder col-7"></span>
                                        </p>
                                    </td>
                                    <td>
                                        <p class="card-text placeholder-glow"><span class="placeholder col-7"></span>
                                        </p>
                                    </td>
                                    <td class="text-center">
                                        <p class="card-text text-center placeholder-glow"><span
                                                class="placeholder col-7"></span></p>
                                    </td>
                                    <td class="text-center">
                                        <p class="card-text text-center placeholder-glow"><span
                                                class="placeholder col-7"></span></p>
                                    </td>
                                </tr>
                                <tr id="contloaded" class="hide"
                                    dir-paginate="item in apps | filter:search | itemsPerPage:20" pagination-id="prodx"
                                    ng-show="item.name">
                                    <td>{{item.name}}</td>
                                    <td>{{item.dns}}</td>
                                    <td>{{item.ip}}</td>
                                    <td>{{item.resp}}</td>
                                    <td class="text-center"><a ng-show="item.link" href="{{item.link}}"
                                            target="_blank"><i class="bi bi-globe"></i>&nbsp;Open</a></td>
                                    <td class="text-center"><span class="badge bgdark"
                                            ng-class="{'bg-success' : (item.env|lowercase).includes('test') , 'bg-warning text-dark' : (item.env|lowercase).includes('int') , 'bg-danger' : (item.env|lowercase).includes('prod')}">{{item.env}}</span>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <dir-pagination-controls pagination-id="prodx" boundary-links="true"
                            on-page-change="pageChangeHandler(newPageNumber)"
                            template-url="assets/templ/pagination.tpl.html" style="padding-left: 0px;">
                        </dir-pagination-controls>
                    </div>
                </div>
            </div>
        </div>
        <button type="button" class="btn btn-light fixed-bottom text-end" style="left:inherit;right:5px;bottom:5px;"
            data-bs-toggle="modal" data-bs-target="#newdm">
            <i class="bi bi-plus"></i>&nbsp;Add
        </button>

        <div class="modal fade" id="newdm" tabindex="-1" aria-labelledby="newdmLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h1 class="modal-title fs-5" id="newdmLabel">Describe new data</h1>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group row mb-2">
                            <label class="text-end col-md-4">Name</label>
                            <div class="col-md-8">
                                <input type="text" name="tname" ng-model="new.tname" class="form-control" />
                            </div>
                        </div>
                        <div class="form-group row mb-2">
                            <label class="text-end col-md-4">Server DNS</label>
                            <div class="col-md-8">
                                <input type="text" name="tsdns" ng-model="new.tsdns" class="form-control" />
                            </div>
                        </div>
                        <div class="form-group row mb-2">
                            <label class="text-end col-md-4">Server IP</label>
                            <div class="col-md-8">
                                <input type="text" name="tsip" ng-model="new.tsip" class="form-control" />
                            </div>
                        </div>
                        <div class="form-group row mb-2">
                            <label class="text-end col-md-4">Web address</label>
                            <div class="col-md-8">
                                <input type="text" name="tsweb" ng-model="new.tsweb" class="form-control" />
                            </div>
                        </div>
                        <div class="form-group row mb-2">
                            <label class="form-control-label text-end col-md-4">environment</label>
                            <div class="col-md-8">
                                <select id="tenv" ng-model="new.tenv" class="form-control">
                                    <option value="">Please select</option>
                                    <option value="test">Test</option>
                                    <option value="int">Integration</option>
                                    <option value="prod">Production</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group row mb-2">
                            <label class="text-end col-md-4">Responsible group</label>
                            <div class="col-md-8">
                                <input type="text" name="trspgr" ng-model="new.trspgr" class="form-control" />
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light btn-sm" data-bs-dismiss="modal">Close</button>
                        <button type="button" class="btn btn-success btn-sm" ng-click="saveNew()">Save changes</button>
                    </div>
                </div>
            </div>
        </div>

        <br>
        <footer class="py-1 my-2">
            <p class="text-center text-muted">&copy;
                <script>document.write(new Date().getFullYear())</script>
                Company, Inc
            </p>
        </footer>
    </div>
    <script src="assets/js/bootstrap.min.js" type="text/javascript"></script>
    <script src="assets/js/jquery.min.js" type="text/javascript"></script>
    <script src="assets/js/dirPagination.js"></script>
    <script src="assets/js/ng-script.js"></script>
</body>

</html>